unit Question2XXXX_U;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus,  StdCtrls, ComCtrls;

type
  TfrmQuestion2 = class(TForm)
    MainMenu1: TMainMenu;
    mnuOptionB: TMenuItem;
    redOutput: TRichEdit;
    mnuOptionC: TMenuItem;
    mnuOptionA: TMenuItem;
    Quit1: TMenuItem;
    procedure mnuOptionBClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure mnuOptionCClick(Sender: TObject);
    procedure mnuOptionAClick(Sender: TObject);
    procedure Quit1Click(Sender: TObject);

  private

  public
    { Public declarations }
  end;

var
  frmQuestion2: TfrmQuestion2;
  
implementation
uses
  uHouseholdXXXX;

var
  Household   :THousehold;
  sAccount    :string;
  iMembers    :integer;
  arrWaterUse :arrType = (481, 438, 454, 353, 421, 396, 432);


{$R *.dfm}



procedure TfrmQuestion2.FormActivate(Sender: TObject);

begin
  sAccount := 'AC-23245';
	iMembers := 4;
  Household := THousehold.create(sAccount, iMembers, arrWaterUse);

end;

procedure TfrmQuestion2.mnuOptionAClick(Sender: TObject);
begin
  redOutput.Clear;
	redOutput.Lines.Add(Household.toString);
	redOutput.Lines.Add('');
  redOutput.Lines.Add('Total water usage: ' + IntToStr(Household.calculateTotal) 	+' litres');
	redOutput.Lines.Add('Average water usage per day: ' + FloatToStrF(Household.calculateAve, ffFixed,8,1) + ' litres');

end;
procedure TfrmQuestion2.mnuOptionBClick(Sender: TObject);
var
  rAve:real;
  k   :integer;
begin
  redOutput.Clear;
	rAve := Household.calculateAve;
	redOutput.Lines.Add('Days and amount of water exceeding the average');
  redOutput.Lines.Add('========================================');
 	redOutput.Lines.Add('Average water usage per day: ' +  FloatToStrF(Household.calculateAve, ffFixed, 8, 1) + ' litres');
  redOutput.Lines.Add('Days    Value exceeding average by (litres)');

	for k := 1 to length(arrWaterUse) do
    		begin
    			if (arrWaterUse[k] > rAve) then
         		begin
           		redOutput.Lines.Add(IntToStr(k)  + #9 + FloatToStrF(arrWaterUse[k]- rAve, ffFixed,8,1));
         		end;
    		end;

end;

procedure TfrmQuestion2.mnuOptionCClick(Sender: TObject);
var
  rDayLimit :real;
begin
  redOutput.Clear;
  rDayLimit := StrToFloat(InputBox('Water Limit', 'Enter the limit of water per day', ''));

  redOutput.Lines.Add(Household.toString);
	redOutput.Lines.Add('');
	redOutput.Lines.Add('The day on which the most water was used: ' + intToStr(household.determineHighDay));
	redOutput.Lines.Add('');

	if (Household.determineHighRisk(rDayLimit)) then
      redOutput.Lines.Add('High-risk household')
   else
      redOutput.Lines.Add('Not a high-risk household');



end;



procedure TfrmQuestion2.Quit1Click(Sender: TObject);
begin
   Application.Terminate;
end;

end.
